﻿namespace ReportLibrary
{
    using System;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;
    using Telerik.Reporting;
    using Telerik.Reporting.Drawing;
    using System.Data;
    using Processing = Telerik.Reporting.Processing;
    using Telerik.Reporting.Data;

    /// <summary>
    /// Summary description for Report2.
    /// </summary>
    public partial class Report1 : Telerik.Reporting.Report
    {
        public Report1()
        {
            /// <summary>
            /// Required for telerik Reporting designer support
            /// </summary>
            InitializeComponent();

            // Prevent subreport item to be shown when empty
            this.detail.Height -= this.subReport1.Height;
            this.subReport1.Height = Unit.Cm(0.0); // design-time height is set to 0.6 cm
        }

        private void Report1_NeedDataSource(object sender, EventArgs e)
        {
            Processing.Report report = sender as Processing.Report;

            // The DataSource is the same as the parent report DataSource
            Processing.SubReport subReportItem = report.Parent as Processing.SubReport;
            Processing.Report parentReport = subReportItem.Report as Processing.Report;
            report.DataSource = parentReport.DataSource;

            // Find the definition of the SubReport item
            Telerik.Reporting.SubReport subReportItemDef = report.ItemDefinition.Items.Find("subReport1", true)[0] as Telerik.Reporting.SubReport;
            // And set it's ReportSource to new instance of self
            subReportItemDef.ReportSource = new Report1();
        }

    }
}